/*
 * SecuenciaIncorrectaTiposDocumento.java
 *
 * Created on 23 de marzo de 2007, 07:03 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author jsolano
 */
public class SecuenciaIncorrectaTiposDocumento extends AbstractRule {

	/** Creates a new instance of CampoVacio */
	public SecuenciaIncorrectaTiposDocumento() {
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];

		if (codigoNovedad.equals((String) getParams()[1])) {
			String tipoDocAnterior = registro[new Integer(
					(String) getParams()[2]).intValue()];
			if (tipoDocAnterior.equals("MS")) {
				if ("MSRCTICCAS".indexOf(field) < 0) {
					return true;
				}
			}

			if (tipoDocAnterior.equals("RC")) {
				if ("RCTICCAS".indexOf(field) < 0) {
					return true;
				}
			}

			if (tipoDocAnterior.equals("TI")) {
				if ("TICCAS".indexOf(field) < 0) {
					return true;
				}
			}
			if (tipoDocAnterior.equals("CC")) {
				if ("CCAS".indexOf(field) < 0) {
					return true;
				}
			}
			if (tipoDocAnterior.equals("AS")) {
				if ("CCAS".indexOf(field) < 0) {
					return true;
				}
			}
			if (tipoDocAnterior.equals("PA")) {
				if ("PACECC".indexOf(field) < 0) {
					return true;
				}
			}
			if (tipoDocAnterior.equals("CE")) {
				if ("CECC".indexOf(field) < 0) {
					return true;
				}
			}
		}

		return false;

	}
}
